|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QTimeEdit Class Reference
[QtGui module]

The QTimeEdit class provides a widget for editing times based on the QDateTimeEdit widget. More...

    #include <QTimeEdit>

Inherits QDateTimeEdit.

- List of all members, including inherited members

### Public Functions

- QTimeEdit ( QWidget * parent = 0 )
- QTimeEdit ( const QTime & time, QWidget * parent = 0 )

- 23 public functions inherited from QDateTimeEdit
- 17 public functions inherited from QAbstractSpinBox
- 184 public functions inherited from QWidget
- 28 public functions inherited from QObject
- 10 public functions inherited from QPaintDevice

### Additional Inherited Members

- 10 properties inherited from QDateTimeEdit
- 7 properties inherited from QAbstractSpinBox
- 52 properties inherited from QWidget
- 1 property inherited from QObject
- 3 public slots inherited from QDateTimeEdit
- 4 public slots inherited from QAbstractSpinBox
- 17 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 3 signals inherited from QDateTimeEdit
- 1 signal inherited from QAbstractSpinBox
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 4 static public members inherited from QWidget
- 4 static public members inherited from QObject
- 2 protected functions inherited from QDateTimeEdit
- 3 protected functions inherited from QAbstractSpinBox
- 39 protected functions inherited from QWidget
- 7 protected functions inherited from QObject

## Detailed Description

The QTimeEdit class provides a widget for editing times based on the QDateTimeEdit widget.

See also QDateEdit and QDateTimeEdit.

## Member Function Documentation

### QTimeEdit::QTimeEdit ( QWidget * parent = 0 )

Constructs an empty time editor with a parent.

### QTimeEdit::QTimeEdit ( const QTime & time, QWidget * parent = 0 )

Constructs an empty time editor with a parent. The time is set to time.